
BEGIN { first_time = 1; DEBUG = 0 }

{ 
   if (first_time) { 
      LINE = NR 
      if ((!DEBUG) && (2 == LINE)) print $4       # participant name
   } else {
      LINE = (NR % 32);
   }

   if (DEBUG) printf("%2d: %s\n", LINE, $0);

   if (!DEBUG) {
      if ( 2 == LINE)                   { print $3 }          # query number
      if (( 8 <= LINE) && (18 >= LINE)) { printf("%s ", $3) } # recall at fixed
      if (20 == LINE)                   { print "\n" $1 }     # average prec
      if ((22 <= LINE) && (30 >= LINE)) { printf("%s ", $4) } # prec at numdoc
      if ((0 == LINE) || (32 == LINE))  { print "\n" $2 }     # R-precision
    }

   if ((first_time) && (32 == NR)) {
      first_time = 0
   }
}
