#! /bin/sh

PATH=/usr/bsd43/bin:/usr/ucb:/bin:/usr/bin; export PATH
EXTRACT=./extract.awk

PROG=`basename $0`;
USAGE="USAGE: ${PROG} filename
            where filename is a TREC II adhoc datafile"
# TMP=/tmp/$USER_$$
verbose="on"

if [ $# -lt 1 ]; then
   echo $USAGE ; exit 
fi

while [ "$1" ]; do
   SRC=$1;
   LEN=`wc -l $SRC|awk '{print $1}'`
   if [ $LEN -ne 1685 ]; then
      echo "file \`$SRC' is the wrong length ($LEN lines) -- skipping " >&2
   else
      if [ "$verbose" ]; then
         echo "processing file $SRC"
      fi
      head -1600 $SRC | nawk -f $EXTRACT 
   fi
   shift
done

